public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Samuel Bauer" <samuel.bauer@yahoo.fr>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:dev commit in: games-emulation/yuzu/
Date: Tue, 26 Jul 2022 02:20:37 +0000 (UTC)	[thread overview]
Message-ID: <1658802016.13d0c8a4d073dc627af6daa8a3159c67cddac797.samuel.bauer@gentoo> (raw)

commit:     13d0c8a4d073dc627af6daa8a3159c67cddac797
Author:     Samuel Bauer <samuel.bauer <AT> yahoo <DOT> fr>
AuthorDate: Tue Jul 26 02:06:43 2022 +0000
Commit:     Samuel Bauer <samuel.bauer <AT> yahoo <DOT> fr>
CommitDate: Tue Jul 26 02:20:16 2022 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=13d0c8a4

games-emulation/yuzu: unbundle sirit cpp-httplib

Signed-off-by: Samuel Bauer <samuel.bauer <AT> yahoo.fr>

 games-emulation/yuzu/yuzu-9999.ebuild | 21 +++++++++++++--------
 1 file changed, 13 insertions(+), 8 deletions(-)

diff --git a/games-emulation/yuzu/yuzu-9999.ebuild b/games-emulation/yuzu/yuzu-9999.ebuild
index fcab95295..55be65914 100644
--- a/games-emulation/yuzu/yuzu-9999.ebuild
+++ b/games-emulation/yuzu/yuzu-9999.ebuild
@@ -8,10 +8,9 @@ inherit cmake git-r3 toolchain-funcs xdg
 DESCRIPTION="An emulator for Nintendo Switch"
 HOMEPAGE="https://yuzu-emu.org"
 EGIT_REPO_URI="https://github.com/yuzu-emu/yuzu-mainline"
-EGIT_SUBMODULES=( '-*' 'cpp-httplib' 'dynarmic' 'soundtouch' 'sirit' 'xbyak' )
-# Soundtouch cannot be unbundled -> custom version
-# Dynarmic is intended to be tailored on purpose, not to be generic
-# TODO wait 'xbyak' for bump in tree, require 5.96
+EGIT_SUBMODULES=( '-*' 'dynarmic' 'xbyak' )
+# Dynarmic is not intended to be generic, it is tweaked to fit emulated processor
+# TODO wait 'xbyak' waiting version bump. see #860816
 
 LICENSE="|| ( Apache-2.0 GPL-2+ ) 0BSD BSD GPL-2+ ISC MIT
 	!system-vulkan? ( Apache-2.0 )"
@@ -20,14 +19,15 @@ KEYWORDS=""
 IUSE="+compatibility-list +cubeb discord +qt5 sdl system-vulkan webengine +webservice"
 
 RDEPEND="
+	<net-libs/mbedtls-3.1[cmac]
 	>=app-arch/zstd-1.5
 	>=dev-libs/libfmt-8:=
 	>=dev-libs/openssl-1.1:=
 	>=media-video/ffmpeg-4.3:=
 	app-arch/lz4:=
 	dev-libs/boost:=[context]
+	dev-libs/sirit
 	media-libs/opus
-	net-libs/mbedtls[cmac]
 	sys-libs/zlib
 	virtual/libusb:1
 	cubeb? ( media-libs/cubeb )
@@ -42,7 +42,7 @@ RDEPEND="
 	)
 "
 DEPEND="${RDEPEND}
-	dev-util/spirv-headers
+	dev-libs/cpp-httplib
 	system-vulkan? ( >=dev-util/vulkan-headers-1.3.216 )
 "
 BDEPEND="
@@ -125,13 +125,19 @@ src_prepare() {
 	use cubeb && sed -i '$afind_package(Threads REQUIRED)' CMakeLists.txt || die
 	sed -i '/cubeb/d' externals/CMakeLists.txt || die
 
+	# Unbundle sirit
+	sed -i '/sirit/d' externals/CMakeLists.txt || die
+
+	# Unbundle cpp-httplib
+	sed -i -e '/^	# cpp-httplib/,/^	endif()/d' externals/CMakeLists.txt || die
+
 	cmake_src_prepare
 }
 
 src_configure() {
 	local -a mycmakeargs=(
 		# Libraries are private and rely on circular dependency resolution.
-		-DBUILD_SHARED_LIBS=OFF
+		-DBUILD_SHARED_LIBS=OFF # dynarmic
 		-DDYNARMIC_NO_BUNDLED_ROBIN_MAP=ON
 		-DENABLE_COMPATIBILITY_LIST_DOWNLOAD=$(usex compatibility-list)
 		-DENABLE_CUBEB=$(usex cubeb)
@@ -139,7 +145,6 @@ src_configure() {
 		-DENABLE_QT_TRANSLATION=$(usex qt5)
 		-DENABLE_SDL2=$(usex sdl)
 		-DENABLE_WEB_SERVICE=$(usex webservice)
-		-DSIRIT_USE_SYSTEM_SPIRV_HEADERS=ON # Use system SPIRV headers
 		-DUSE_DISCORD_PRESENCE=$(usex discord)
 		-DYUZU_USE_BUNDLED_OPUS=OFF
 		-DYUZU_USE_EXTERNAL_SDL2=OFF


             reply	other threads:[~2022-07-26  2:20 UTC|newest]

Thread overview: 57+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-07-26  2:20 Samuel Bauer [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-01-08  6:05 [gentoo-commits] repo/proj/guru:dev commit in: games-emulation/yuzu/ Takuya Wakazono
2024-01-03 19:55 Moritz Brunner
2024-01-03 19:55 Moritz Brunner
2023-09-28  6:16 Samuel Bauer
2023-09-01 19:13 Samuel Bauer
2023-07-13  6:46 Samuel Bauer
2023-07-04 20:36 Samuel Bauer
2023-07-03 16:19 Samuel Bauer
2023-07-03 15:53 Samuel Bauer
2023-06-26 19:13 Henri Gasc
2023-06-15 13:03 YiFei Zhu
2023-02-14 11:32 Samuel Bauer
2023-02-14 11:11 Samuel Bauer
2023-02-13 11:28 [gentoo-commits] repo/proj/guru:master " Andrew Ammerlaan
2023-02-13 11:19 ` [gentoo-commits] repo/proj/guru:dev " Andrew Ammerlaan
2023-02-13  0:10 Samuel Bauer
2023-02-05 18:26 Samuel Bauer
2023-02-05 18:15 Samuel Bauer
2023-02-02 20:02 Artemis Everfree
2023-02-02 15:14 Samuel Bauer
2022-12-21 10:03 Samuel Bauer
2022-12-21 10:03 Samuel Bauer
2022-12-21  4:23 Samuel Bauer
2022-12-19 22:42 Samuel Bauer
2022-11-13  1:06 Samuel Bauer
2022-10-12 12:03 Samuel Bauer
2022-09-09 13:49 Samuel Bauer
2022-09-08 10:24 Andrew Ammerlaan
2022-08-08 11:04 Samuel Bauer
2022-08-04 10:05 Samuel Bauer
2022-08-04 10:05 Samuel Bauer
2022-07-26 22:26 Samuel Bauer
2022-07-24 23:12 Samuel Bauer
2022-06-07 13:09 Samuel Bauer
2022-01-21  3:31 Samuel Bauer
2022-01-16  4:03 Samuel Bauer
2022-01-08  0:25 Samuel Bauer
2021-11-07 13:56 Anna Vyalkova
2021-10-06  8:14 Samuel Bauer
2021-08-20 22:21 Samuel Bauer
2021-08-04  0:36 Samuel Bauer
2021-08-04  0:30 Samuel Bauer
2021-07-13  1:52 Samuel Bauer
2021-06-26  1:16 Samuel Bauer
2021-06-05  0:57 Samuel Bauer
2021-05-30 19:21 Samuel Bauer
2021-05-30 19:06 Samuel Bauer
2021-05-30 18:55 Samuel Bauer
2021-05-25 18:24 Samuel Bauer
2021-05-16 13:50 Samuel Bauer
2021-05-03 16:41 Samuel Bauer
2021-04-30  1:10 Samuel Bauer
2021-04-29 14:19 Samuel Bauer
2021-04-29 12:53 Samuel Bauer
2021-04-28 23:34 Samuel Bauer
2021-04-28 23:11 Samuel Bauer
2021-04-28 20:09 Andrew Ammerlaan

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1658802016.13d0c8a4d073dc627af6daa8a3159c67cddac797.samuel.bauer@gentoo \
    --to=samuel.bauer@yahoo.fr \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox